version: '3'
services:
  mysqldb:
    image: mysql:8.0.30
    container_name: mysqldb-8.0.30
    environment:
      - MYSQL_ALLOW_EMPTY_PASSWORD=true
      - MYSQL_DATABASE=mysql
    ports:
      - 3306:3306
    networks:
      - 5gi_net

  back:
    image: srranya96/imageback:latest    #$versionBack instead of latest
    container_name: spring-back-latest    #$versionBack instead of latest
    command: ./mvnw spring-boot:run
    environment:
      - spring.datasource.url=jdbc:mysql://mysqldb:3306/mysql
      - spring.datasource.username=root
      - spring.datasource.password=
    ports:
      - 9090:9090
    networks:
      - 5gi_net
    depends_on:
      - mysqldb

  
  front:
    image: srranya96/imagefront:latest    #$versionFront instead of latest
    container_name: angular-front-latest    #$versionFront instead of latest
    ports:
      - 4200:4200
    networks:
      - 5gi_net
    depends_on:
      - back




networks:
  5gi_net:
    name: 5gi_net

volumes:
  mysqldb-data:
    driver: local
